Open Lighting Architecture: ola::web::DefinitionsParseContext Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::web::DefinitionsParseContext Class Reference

## Detailed Description

The context for schema definitions.

See section 5.5.7 of the draft. Definitions are a way of describing commonly used elements of a JSON document.

Inheritance diagram for ola::web::DefinitionsParseContext:

## Public Member Functions
| DefinitionsParseContext (SchemaDefinitions *definitions)
| Create a new DefinitionsParseContext.
SchemaParseContextInterface * | OpenObject (SchemaErrorLogger *logger)
void | CloseObject (SchemaErrorLogger *logger)
Public Member Functions inherited from ola::web::StrictTypedParseContext
void | String (SchemaErrorLogger *logger, const std::string &value)
void | Number (SchemaErrorLogger *logger, uint32_t value)
void | Number (SchemaErrorLogger *logger, int32_t value)
void | Number (SchemaErrorLogger *logger, uint64_t value)
void | Number (SchemaErrorLogger *logger, int64_t value)
void | Number (SchemaErrorLogger *logger, double value)
void | Bool (SchemaErrorLogger *logger, bool value)
void | Null (SchemaErrorLogger *logger)
SchemaParseContextInterface * | OpenArray (SchemaErrorLogger *logger)
void | CloseArray (SchemaErrorLogger *logger)
SchemaParseContextInterface * | OpenObject (SchemaErrorLogger *logger)
void | CloseObject (SchemaErrorLogger *logger)
Public Member Functions inherited from ola::web::ObjectParseContext
void | ObjectKey (SchemaErrorLogger *, const std::string &keyword)
| Called when we encounter a property.

## Additional Inherited Members
Protected Member Functions inherited from ola::web::ObjectParseContext
std::string | TakeKeyword ()
const std::string & | Keyword () const

## Constructor & Destructor Documentation

## ◆ DefinitionsParseContext()

ola::web::DefinitionsParseContext::DefinitionsParseContext | ( | SchemaDefinitions * | definitions | ) |
| inlineexplicit

Create a new DefinitionsParseContext.

Parameters

  definitions | the SchemaDefinitions cache, ownership is not transferred.

As each definition is parsed, it's added to the SchemaDefinitions object.

## Member Function Documentation

## ◆ CloseObject()

void ola::web::DefinitionsParseContext::CloseObject | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

## ◆ OpenObject()

SchemaParseContextInterface * ola::web::DefinitionsParseContext::OpenObject | ( | SchemaErrorLogger * | logger | ) |
| virtual

Implements ola::web::SchemaParseContextInterface.

The documentation for this class was generated from the following files:

- common/web/SchemaParseContext.h
- common/web/SchemaParseContext.cpp